# Generated by Django 4.1.10 on 2023-10-18 17:48

import wagtail.blocks
import wagtail.fields
from django.db import migrations


class Migration(migrations.Migration):
    dependencies = [
        ("donate", "0034_donatehomepage_menu"),
    ]

    operations = [
        migrations.RemoveField(
            model_name="donatehomepage",
            name="project_body",
        ),
        migrations.RemoveField(
            model_name="donatehomepage",
            name="project_title",
        ),
        migrations.AddField(
            model_name="donatehomepage",
            name="content_blocks",
            field=wagtail.fields.StreamField(
                [
                    (
                        "project_index",
                        wagtail.blocks.StructBlock(
                            [
                                (
                                    "page",
                                    wagtail.blocks.PageChooserBlock(
                                        page_type=["donate.DonateProjectIndexPage"]
                                    ),
                                )
                            ]
                        ),
                    )
                ],
                blank=True,
                use_json_field=True,
                verbose_name="Obsah",
            ),
        ),
    ]
